#CPP = i686-pc-linux-gnu-g++-3.4.6
CPP = g++

MAYA_DIR = /usr/aw/maya7.0

CXXFLAGS = -pipe -I$(MAYA_DIR)/include -D_BOOL
LIBS = -L$(MAYA_DIR)/lib -lOpenMaya

TARGET = fegdk_mdl_export.so
OBJS = main.o

.cpp.o:
	$(CPP) $(CXXFLAGS) -Wall -O2 -c -o $@ $<

$(TARGET): $(OBJS) 
	$(CPP) -shared -o $@ $^ $(LIBS)

clean:
	rm -f *.o $(TARGET)
